package com.mortals.xhx.module.device.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.device.model.DeviceAlarmEntity;
/**
* 设备告警日志查询对象
*
* @author zxfei
* @date 2022-08-04
*/
public class DeviceAlarmQuery extends DeviceAlarmEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 告警设备Id */
    private Long deviceIdStart;

    /** 结束 告警设备Id */
    private Long deviceIdEnd;

    /** 增加 告警设备Id */
    private Long deviceIdIncrement;

    /** 告警设备Id列表 */
    private List <Long> deviceIdList;

    /** 告警设备编码 */
    private List<String> deviceCodeList;

    /** 开始 告警类型,(0.离线) */
    private Integer alarmTypeStart;

    /** 结束 告警类型,(0.离线) */
    private Integer alarmTypeEnd;

    /** 增加 告警类型,(0.离线) */
    private Integer alarmTypeIncrement;

    /** 告警类型,(0.离线)列表 */
    private List <Integer> alarmTypeList;

    /** 开始 告警级别(0.危险，1.次要，2.一般) */
    private Integer alarmLevelStart;

    /** 结束 告警级别(0.危险，1.次要，2.一般) */
    private Integer alarmLevelEnd;

    /** 增加 告警级别(0.危险，1.次要，2.一般) */
    private Integer alarmLevelIncrement;

    /** 告警级别(0.危险，1.次要，2.一般)列表 */
    private List <Integer> alarmLevelList;

    /** 告警详细内容 */
    private List<String> alarmContentList;

    /** 开始 告警时间 */
    private String alarmTimeStart;

    /** 结束 告警时间 */
    private String alarmTimeEnd;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DeviceAlarmQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DeviceAlarmQuery> andConditionList;

    public DeviceAlarmQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 告警设备Id
    * @return deviceIdStart
    */
    public Long getDeviceIdStart(){
        return this.deviceIdStart;
    }

    /**
    * 设置 开始 告警设备Id
    * @param deviceIdStart
    */
    public void setDeviceIdStart(Long deviceIdStart){
        this.deviceIdStart = deviceIdStart;
    }

    /**
    * 获取 结束 告警设备Id
    * @return $deviceIdEnd
    */
    public Long getDeviceIdEnd(){
        return this.deviceIdEnd;
    }

    /**
    * 设置 结束 告警设备Id
    * @param deviceIdEnd
    */
    public void setDeviceIdEnd(Long deviceIdEnd){
        this.deviceIdEnd = deviceIdEnd;
    }

    /**
    * 获取 增加 告警设备Id
    * @return deviceIdIncrement
    */
    public Long getDeviceIdIncrement(){
        return this.deviceIdIncrement;
    }

    /**
    * 设置 增加 告警设备Id
    * @param deviceIdIncrement
    */
    public void setDeviceIdIncrement(Long deviceIdIncrement){
        this.deviceIdIncrement = deviceIdIncrement;
    }

    /**
    * 获取 告警设备Id
    * @return deviceIdList
    */
    public List<Long> getDeviceIdList(){
        return this.deviceIdList;
    }

    /**
    * 设置 告警设备Id
    * @param deviceIdList
    */
    public void setDeviceIdList(List<Long> deviceIdList){
        this.deviceIdList = deviceIdList;
    }

    /**
    * 获取 告警设备编码
    * @return deviceCodeList
    */
    public List<String> getDeviceCodeList(){
        return this.deviceCodeList;
    }

    /**
    * 设置 告警设备编码
    * @param deviceCodeList
    */
    public void setDeviceCodeList(List<String> deviceCodeList){
        this.deviceCodeList = deviceCodeList;
    }
    /**
    * 获取 开始 告警类型,(0.离线)
    * @return alarmTypeStart
    */
    public Integer getAlarmTypeStart(){
        return this.alarmTypeStart;
    }

    /**
    * 设置 开始 告警类型,(0.离线)
    * @param alarmTypeStart
    */
    public void setAlarmTypeStart(Integer alarmTypeStart){
        this.alarmTypeStart = alarmTypeStart;
    }

    /**
    * 获取 结束 告警类型,(0.离线)
    * @return $alarmTypeEnd
    */
    public Integer getAlarmTypeEnd(){
        return this.alarmTypeEnd;
    }

    /**
    * 设置 结束 告警类型,(0.离线)
    * @param alarmTypeEnd
    */
    public void setAlarmTypeEnd(Integer alarmTypeEnd){
        this.alarmTypeEnd = alarmTypeEnd;
    }

    /**
    * 获取 增加 告警类型,(0.离线)
    * @return alarmTypeIncrement
    */
    public Integer getAlarmTypeIncrement(){
        return this.alarmTypeIncrement;
    }

    /**
    * 设置 增加 告警类型,(0.离线)
    * @param alarmTypeIncrement
    */
    public void setAlarmTypeIncrement(Integer alarmTypeIncrement){
        this.alarmTypeIncrement = alarmTypeIncrement;
    }

    /**
    * 获取 告警类型,(0.离线)
    * @return alarmTypeList
    */
    public List<Integer> getAlarmTypeList(){
        return this.alarmTypeList;
    }

    /**
    * 设置 告警类型,(0.离线)
    * @param alarmTypeList
    */
    public void setAlarmTypeList(List<Integer> alarmTypeList){
        this.alarmTypeList = alarmTypeList;
    }

    /**
    * 获取 开始 告警级别(0.危险，1.次要，2.一般)
    * @return alarmLevelStart
    */
    public Integer getAlarmLevelStart(){
        return this.alarmLevelStart;
    }

    /**
    * 设置 开始 告警级别(0.危险，1.次要，2.一般)
    * @param alarmLevelStart
    */
    public void setAlarmLevelStart(Integer alarmLevelStart){
        this.alarmLevelStart = alarmLevelStart;
    }

    /**
    * 获取 结束 告警级别(0.危险，1.次要，2.一般)
    * @return $alarmLevelEnd
    */
    public Integer getAlarmLevelEnd(){
        return this.alarmLevelEnd;
    }

    /**
    * 设置 结束 告警级别(0.危险，1.次要，2.一般)
    * @param alarmLevelEnd
    */
    public void setAlarmLevelEnd(Integer alarmLevelEnd){
        this.alarmLevelEnd = alarmLevelEnd;
    }

    /**
    * 获取 增加 告警级别(0.危险，1.次要，2.一般)
    * @return alarmLevelIncrement
    */
    public Integer getAlarmLevelIncrement(){
        return this.alarmLevelIncrement;
    }

    /**
    * 设置 增加 告警级别(0.危险，1.次要，2.一般)
    * @param alarmLevelIncrement
    */
    public void setAlarmLevelIncrement(Integer alarmLevelIncrement){
        this.alarmLevelIncrement = alarmLevelIncrement;
    }

    /**
    * 获取 告警级别(0.危险，1.次要，2.一般)
    * @return alarmLevelList
    */
    public List<Integer> getAlarmLevelList(){
        return this.alarmLevelList;
    }

    /**
    * 设置 告警级别(0.危险，1.次要，2.一般)
    * @param alarmLevelList
    */
    public void setAlarmLevelList(List<Integer> alarmLevelList){
        this.alarmLevelList = alarmLevelList;
    }

    /**
    * 获取 告警详细内容
    * @return alarmContentList
    */
    public List<String> getAlarmContentList(){
        return this.alarmContentList;
    }

    /**
    * 设置 告警详细内容
    * @param alarmContentList
    */
    public void setAlarmContentList(List<String> alarmContentList){
        this.alarmContentList = alarmContentList;
    }
    /**
    * 获取 开始 告警时间
    * @return alarmTimeStart
    */
    public String getAlarmTimeStart(){
        return this.alarmTimeStart;
    }

    /**
    * 设置 开始 告警时间
    * @param alarmTimeStart
    */
    public void setAlarmTimeStart(String alarmTimeStart){
        this.alarmTimeStart = alarmTimeStart;
    }

    /**
    * 获取 结束 告警时间
    * @return alarmTimeEnd
    */
    public String getAlarmTimeEnd(){
        return this.alarmTimeEnd;
    }

    /**
    * 设置 结束 告警时间
    * @param alarmTimeEnd
    */
    public void setAlarmTimeEnd(String alarmTimeEnd){
        this.alarmTimeEnd = alarmTimeEnd;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public DeviceAlarmQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public DeviceAlarmQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public DeviceAlarmQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public DeviceAlarmQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public DeviceAlarmQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  告警设备Id
    * @param deviceId
    */
    public DeviceAlarmQuery deviceId(Long deviceId){
	    setDeviceId(deviceId);
		return this;
    }
	
	 /**
    * 设置 开始 告警设备Id
    * @param deviceIdStart
    */
    public DeviceAlarmQuery deviceIdStart(Long deviceIdStart){
		this.deviceIdStart = deviceIdStart;
		return this;
    }

    /**
    * 设置 结束 告警设备Id
    * @param deviceIdEnd
    */
    public DeviceAlarmQuery deviceIdEnd(Long deviceIdEnd){
		this.deviceIdEnd = deviceIdEnd;
		return this;
    }

    /**
    * 设置 增加 告警设备Id
    * @param deviceIdIncrement
    */
    public DeviceAlarmQuery deviceIdIncrement(Long deviceIdIncrement){
		this.deviceIdIncrement = deviceIdIncrement;
		return this;
    }

    /**
    * 设置 告警设备Id
    * @param deviceIdList
    */
    public DeviceAlarmQuery deviceIdList(List<Long> deviceIdList){
        this.deviceIdList = deviceIdList;
		return this;
        }


	/**
    * 设置 告警设备编码
    * @param deviceCode
    */
    public DeviceAlarmQuery deviceCode(String deviceCode){
        setDeviceCode(deviceCode);
		return this;
    }

    /**
    * 设置 告警设备编码
    * @param deviceCodeList
    */
    public DeviceAlarmQuery deviceCodeList(List<String> deviceCodeList){
        this.deviceCodeList = deviceCodeList;
		return this;
    }

    /**
    * 设置  告警类型,(0.离线)
    * @param alarmType
    */
    public DeviceAlarmQuery alarmType(Integer alarmType){
	    setAlarmType(alarmType);
		return this;
    }
	
	 /**
    * 设置 开始 告警类型,(0.离线)
    * @param alarmTypeStart
    */
    public DeviceAlarmQuery alarmTypeStart(Integer alarmTypeStart){
		this.alarmTypeStart = alarmTypeStart;
		return this;
    }

    /**
    * 设置 结束 告警类型,(0.离线)
    * @param alarmTypeEnd
    */
    public DeviceAlarmQuery alarmTypeEnd(Integer alarmTypeEnd){
		this.alarmTypeEnd = alarmTypeEnd;
		return this;
    }

    /**
    * 设置 增加 告警类型,(0.离线)
    * @param alarmTypeIncrement
    */
    public DeviceAlarmQuery alarmTypeIncrement(Integer alarmTypeIncrement){
		this.alarmTypeIncrement = alarmTypeIncrement;
		return this;
    }

    /**
    * 设置 告警类型,(0.离线)
    * @param alarmTypeList
    */
    public DeviceAlarmQuery alarmTypeList(List<Integer> alarmTypeList){
        this.alarmTypeList = alarmTypeList;
		return this;
        }

    /**
    * 设置  告警级别(0.危险，1.次要，2.一般)
    * @param alarmLevel
    */
    public DeviceAlarmQuery alarmLevel(Integer alarmLevel){
	    setAlarmLevel(alarmLevel);
		return this;
    }
	
	 /**
    * 设置 开始 告警级别(0.危险，1.次要，2.一般)
    * @param alarmLevelStart
    */
    public DeviceAlarmQuery alarmLevelStart(Integer alarmLevelStart){
		this.alarmLevelStart = alarmLevelStart;
		return this;
    }

    /**
    * 设置 结束 告警级别(0.危险，1.次要，2.一般)
    * @param alarmLevelEnd
    */
    public DeviceAlarmQuery alarmLevelEnd(Integer alarmLevelEnd){
		this.alarmLevelEnd = alarmLevelEnd;
		return this;
    }

    /**
    * 设置 增加 告警级别(0.危险，1.次要，2.一般)
    * @param alarmLevelIncrement
    */
    public DeviceAlarmQuery alarmLevelIncrement(Integer alarmLevelIncrement){
		this.alarmLevelIncrement = alarmLevelIncrement;
		return this;
    }

    /**
    * 设置 告警级别(0.危险，1.次要，2.一般)
    * @param alarmLevelList
    */
    public DeviceAlarmQuery alarmLevelList(List<Integer> alarmLevelList){
        this.alarmLevelList = alarmLevelList;
		return this;
        }


	/**
    * 设置 告警详细内容
    * @param alarmContent
    */
    public DeviceAlarmQuery alarmContent(String alarmContent){
        setAlarmContent(alarmContent);
		return this;
    }

    /**
    * 设置 告警详细内容
    * @param alarmContentList
    */
    public DeviceAlarmQuery alarmContentList(List<String> alarmContentList){
        this.alarmContentList = alarmContentList;
		return this;
    }



    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public DeviceAlarmQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public DeviceAlarmQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public DeviceAlarmQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public DeviceAlarmQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public DeviceAlarmQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<DeviceAlarmQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<DeviceAlarmQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<DeviceAlarmQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<DeviceAlarmQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}